package com.ims.eval.controller;


import com.ims.eval.entity.BinStage;
import com.ims.eval.entity.EvaluationWarningRule;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IEvaluationWarningRuleService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-05-19
 */
@RestController
@RequestMapping("//evaluation/warning/rule")
public class EvaluationWarningRuleController {

	@Autowired
	private IEvaluationWarningRuleService warningRuleService;

	@ApiOperation(value = "考评预警规则", notes = "查询")
	@GetMapping(value = "list")
	public R EvaluationWarningRuleList(
		@RequestParam(value = "binSection", required = false) String binSection, //业务板块
		@RequestParam(value = "ruleName", required = false) String ruleName) { //业务阶段
		Map<String, Object> map = warningRuleService.warningRuleList(binSection, ruleName);
		return R.ok().data(map);
	}


	@ApiOperation(value = "考评预警规则添加、更新", notes = "")
	@PostMapping(value = "save")
	public R EvaluationWarningRuleSave(@RequestHeader("code") String code, @RequestBody EvaluationWarningRule warningRule){
		boolean flag = warningRuleService.saveOrUpdate(code, warningRule);
		if (flag) {
			return R.ok();
		}
		return R.error();
	}
}
