package com.ims.eval.service.impl;

import com.ims.common.utils.StringUtils;
import com.ims.eval.entity.EvaluationWarningRule;
import com.ims.eval.dao.EvaluationWarningRuleMapper;
import com.ims.eval.entity.dto.response.MyuserResDTO;
import com.ims.eval.service.IEvaluationWarningRuleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.eval.service.IUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-05-19
 */
@Service
public class EvaluationWarningRuleServiceImpl extends ServiceImpl<EvaluationWarningRuleMapper, EvaluationWarningRule> implements IEvaluationWarningRuleService {

	@Autowired
	private IUserService userService;

	@Override
	public Map<String, Object> warningRuleList(String binSection, String ruleName) {
		Map<String, Object> map = baseMapper.selectWarningRule(binSection, ruleName);
		return map;
	}

	@Override
	public boolean saveOrUpdate(String code, EvaluationWarningRule warningRule) {
//		MyuserResDTO user = userService.getSysUser(code);
		MyuserResDTO user = new MyuserResDTO();
		if (user != null){
			if (StringUtils.isNotEmpty(warningRule.getId())){
				warningRule.setUpdateBy(user.getName());
				warningRule.setUpdateTime(new Date());
			} else {
				warningRule.setCreateBy(user.getName());
				warningRule.setCreateTime(new Date());
			}
		}
		return saveOrUpdate(warningRule);
	}
}
